org.keycloak.broker.saml

## Class SAMLIdentityProviderFactory

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProviderFactory<SAMLIdentityProvider>
  - - org.keycloak.broker.saml.SAMLIdentityProviderFactory

- All Implemented Interfaces:
    IdentityProviderFactory<SAMLIdentityProvider>, ProviderFactory<SAMLIdentityProvider>

      public class SAMLIdentityProviderFactory
      extends AbstractIdentityProviderFactory<SAMLIdentityProvider>

  Author:
    Pedro Igor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAMLIdentityProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SAMLIdentityProvider` | `create(KeycloakSession session, IdentityProviderModel model)` Creates an `IdentityProvider` based on the configuration contained in `model`.
    `SAMLIdentityProviderConfig` | `createConfig()` Creates a provider specific `IdentityProviderModel` instance.
    `String` | `getId()`
    `String` | `getName()` A friendly name for this factory.
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `Map<String,String>` | `parseConfig(KeycloakSession session, InputStream inputStream)` Creates an `IdentityProvider` based on the configuration from `inputStream`.

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProviderFactory

      `close, create, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SAMLIdentityProviderFactory

          public SAMLIdentityProviderFactory()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `IdentityProviderFactory`

      A friendly name for this factory.

      Returns:

    - #### create

          public SAMLIdentityProvider create(KeycloakSession session,
                                             IdentityProviderModel model)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration contained in `model`.

        `model` - The configuration to be used to create the identity provider.
      Returns:

    - #### createConfig

          public SAMLIdentityProviderConfig createConfig()

      Description copied from interface: `IdentityProviderFactory`

      Creates a provider specific `IdentityProviderModel` instance.

      Providers may want to implement their own `IdentityProviderModel` type so that validations can be performed when managing the provider configuration

      Returns:
        the provider specific instance

    - #### parseConfig

          public Map<String,String> parseConfig(KeycloakSession session,
                                                InputStream inputStream)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration from `inputStream`.

      Specified by:
        `parseConfig` in interface `IdentityProviderFactory<SAMLIdentityProvider>`
      Overrides:
        `parseConfig` in class `AbstractIdentityProviderFactory<SAMLIdentityProvider>`
        `inputStream` - The input stream from where configuration will be loaded from..
      Returns:

    - #### getId

          public String getId()

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<SAMLIdentityProvider>`
      Overrides:
        `init` in class `AbstractIdentityProviderFactory<SAMLIdentityProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.